Facebook page events API
Public events of a page.
GET /v1/facebook/profile/events
GET /v1/facebook/profile/events
Public events of a page.
- Cost: 1 credit
- Cache: Results are kept up to 30 days; send
max_age_daysto reuse them for free. - Timeout: A request still running after about 25 seconds answers
202with a job to poll (Batch and jobs).
Parameters#
| Name | Type | Required | Description |
|---|---|---|---|
url | URL | yes | Profile or page URL. Accepted hosts: facebook.com, fb.com, fb.watch. |
Every request also accepts:
cursor: the cursor from the previous page (Pagination).trim:truefor a smaller response withoutnullfields andextra.raw:trueto also get the platform's original object asraw.max_age_days: accept a cached result up to this many days old, for 0 credits (Caching).
Example request#
Set your key in the environment first (see Authentication).
1curl -G "https://api.socialscrape.dev/v1/facebook/profile/events" \2 -H "x-api-key: $SOCIALSCRAPE_API_KEY" \3 --data-urlencode "url=https://www.facebook.com/brickyardoldtown"1import os2import requests34params = {5 "url": "https://www.facebook.com/brickyardoldtown",6}7res = requests.get(8 "https://api.socialscrape.dev/v1/facebook/profile/events",9 headers={"x-api-key": os.environ["SOCIALSCRAPE_API_KEY"]},10 params=params,11)12body = res.json()1314if body["ok"]:15 print(body["data"])16else:17 print(body["error"]["code"], body["error"]["message"])1const url = new URL("https://api.socialscrape.dev/v1/facebook/profile/events");2url.search = new URLSearchParams({3 "url": "https://www.facebook.com/brickyardoldtown"4}).toString();5const res = await fetch(url, {6 headers: { "x-api-key": process.env.SOCIALSCRAPE_API_KEY! },7});8const body = await res.json();910if (body.ok) {11 console.log(body.data);12} else {13 console.error(body.error.code, body.error.message);14}1{2 "nodes": [3 {4 "name": "SocialScrape Facebook page events",5 "type": "n8n-nodes-base.httpRequest",6 "typeVersion": 4.2,7 "position": [8 0,9 010 ],11 "parameters": {12 "method": "GET",13 "url": "https://api.socialscrape.dev/v1/facebook/profile/events",14 "sendQuery": true,15 "queryParameters": {16 "parameters": [17 {18 "name": "url",19 "value": "https://www.facebook.com/brickyardoldtown"20 }21 ]22 },23 "sendHeaders": true,24 "headerParameters": {25 "parameters": [26 {27 "name": "x-api-key",28 "value": "={{ $env.SOCIALSCRAPE_API_KEY }}"29 }30 ]31 }32 }33 }34 ],35 "connections": {}36}Example response#
This is a sample from a recorded response, lists and long text are shortened, other people's names and handles are replaced. Status 200.
200 OKSample response
1{2 "ok": true,3 "credits_charged": 1,4 "credits_remaining": 4999,5 "cached": false,6 "cached_at": null,7 "request_id": "req_688015daa5f2507812bdc7e5",8 "data": {9 "object": "list",10 "items": [11 {12 "object": "event",13 "platform": "facebook",14 "id": "1599404908579946",15 "url": "https://www.facebook.com/events/1599404908579946/",16 "title": "Eclipse at Brickyard",17 "description": null,18 "starts_at": "2026-10-31T01:00:00Z",19 "ends_at": null,20 "place": {21 "name": "Brickyard",22 "address": null,23 "city": "Wichita",24 "region": null,25 "country": null,26 "latitude": null,27 "longitude": null28 },29 "is_online": false,30 "host": {31 "id": "1000000001",32 "handle": "sample_user",33 "name": "Sample User",34 "url": null,35 "avatar_url": null,36 "verified": null37 },38 "going_count": null,39 "interested_count": null,40 "cover_url": "https://scontent-iad3-1.xx.fbcdn.net/v/t39.30808-6/808786929_1416991620532137_3722381877941181457_n.jpg?stp=c0.123.1200.827a_dst-jpg_tt6&cstp=mx1200x827&ctp=s118x90&_nc_cat=108&ccb=1-7&_nc_sid=239fc6&_nc_ohc=iVteY17gWnwQ7kNvwGEwXbZ&_nc_oc=A...",41 "extra": {42 "creator": {43 "handle": "sample_user",44 "id": "1000000001",45 "name": "Sample User",46 "url": null47 },48 "day_time_sentence": "Fri, Oct 30 at 8:00 PM CDT",49 "event_kind": "PUBLIC_TYPE",50 "is_canceled": false,51 "is_happening_now": false,52 "is_past": false,53 "place_id": "1435982685299697",54 "source": "logged_out_public_view"55 }56 },57 {58 "object": "event",59 "platform": "facebook",60 "id": "1790902472113859",61 "url": "https://www.facebook.com/events/1790902472113859/",62 "title": "Halloween with DJ Sunshine at Brickyard 🎃👻🦄",63 "description": null,64 "starts_at": "2026-11-01T01:00:00Z",65 "ends_at": null,66 "place": {67 "name": "Brickyard",68 "address": null,69 "city": "Wichita",70 "region": null,71 "country": null,72 "latitude": null,73 "longitude": null74 },75 "is_online": false,76 "host": {77 "id": "1000000001",78 "handle": "sample_user",79 "name": "Sample User",80 "url": null,81 "avatar_url": null,82 "verified": null83 },84 "going_count": null,85 "interested_count": null,86 "cover_url": "https://scontent-iad3-2.xx.fbcdn.net/v/t39.30808-6/830834949_1431631352401497_9048214726565476167_n.jpg?stp=c0.200.1080.745a_dst-jpg_tt6&cstp=mx1080x745&ctp=s118x90&_nc_cat=103&ccb=1-7&_nc_sid=239fc6&_nc_ohc=MRndWfBSIIIQ7kNvwF1z6r9&_nc_oc=A...",87 "extra": {88 "creator": {89 "handle": "sample_user",90 "id": "1000000001",91 "name": "Sample User",92 "url": null93 },94 "day_time_sentence": "Sat, Oct 31 at 8:00 PM CDT",95 "event_kind": "PUBLIC_TYPE",96 "is_canceled": false,97 "is_happening_now": false,98 "is_past": false,99 "place_id": "274995392617693",100 "source": "logged_out_public_view"101 }102 }103 ],104 "cursor": null,105 "has_more": false,106 "parent": null107 },108 "cursor": null,109 "has_more": false110}Response#
A list of Event objects in data.items, with data.cursor and data.has_more.
See Data models for every field. The envelope around data is described in Responses.
Errors#
Failures are free: credits_charged is 0. Branch on error.code, never on the message.
| Code | HTTP | Retry | Meaning |
|---|---|---|---|
invalid_params | 400 | no | A parameter is missing, unknown or has the wrong type. |
unsupported_url | 400 | no | The URL is not one this endpoint accepts (wrong platform or form). |
not_found | 404 | no | The platform says this profile, post or item does not exist. |
Every request can also fail with the account and platform errors listed on the Errors page.
Related endpoints#
- Facebook Ad Library search (
GET /v1/facebook/ad-library/search) - Facebook Ad Library search (POST body) (
POST /v1/facebook/ad-library/search) - Facebook Ad Library ads by page (
GET /v1/facebook/ad-library/company/ads) - Facebook Ad Library ads by page (POST body) (
POST /v1/facebook/ad-library/company/ads) - Facebook Ad Library ad details (
GET /v1/facebook/ad-library/ad) - Facebook Ad Library ad transcript (
GET /v1/facebook/ad-library/ad/transcript) - Facebook Ad Library advertiser search (
GET /v1/facebook/ad-library/search/companies) - Facebook profile or page (
GET /v1/facebook/profile)